Bug 199074 - Image corruption when resuming from suspend.
Image corruption when resuming from suspend.
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-savage (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Adam Jackson
Depends On:
  Show dependency treegraph
Reported: 2006-07-16 21:39 EDT by Gian Paolo Mureddu
Modified: 2008-06-16 21:13 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-06-16 21:13:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Foto of monitor presenting the bug (805.57 KB, image/jpeg)
2007-05-31 12:09 EDT, Matěj Cepl
no flags Details
Origal X configuration file, the one the problem first showed with (2.66 KB, application/octet-stream)
2007-06-02 21:46 EDT, Gian Paolo Mureddu
no flags Details
Original X log, the computer wasn't run through suspend/resume (53.52 KB, text/plain)
2007-06-02 21:47 EDT, Gian Paolo Mureddu
no flags Details
Xorg setup log (1.13 KB, text/plain)
2007-06-02 21:47 EDT, Gian Paolo Mureddu
no flags Details
generated Xorg configuration file (2.61 KB, application/octet-stream)
2007-06-02 21:48 EDT, Gian Paolo Mureddu
no flags Details
X log before going through suspend/resume (53.24 KB, text/plain)
2007-06-02 21:49 EDT, Gian Paolo Mureddu
no flags Details
X log after suspend/resume cycle (with the problem on screen) (53.32 KB, text/plain)
2007-06-02 21:49 EDT, Gian Paolo Mureddu
no flags Details

  None (edit)
Description Gian Paolo Mureddu 2006-07-16 21:39:15 EDT
Description of problem:
Image corruption occurs when resuming from suspend. The image looks with jaged
and "vibrating" borders on Windows and fonts and icons. Plus there are "flashes"
of horizontal dark and light lines. Only solution is to reboot the computer, so
maybe the problem lies in kernel-domain? Not even changing runlevel and back to
X works.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Suspend the computer.
2. Resume
Actual results:
Image corruption occurs when resuming from suspended state.

Expected results:
Image to be clear and artifact free.

Additional info:
Here is a screen capture I had to do it with my digital camera, as any
screenshot taken with any on-system means looks just fine after reboot.
Comment 1 Gian Paolo Mureddu 2006-07-16 21:45:02 EDT
Forgot to include a link to the screenshot:
Comment 2 Matěj Cepl 2007-05-31 12:09:56 EDT
Created attachment 155827 [details]
Foto of monitor presenting the bug
Comment 3 Matěj Cepl 2007-05-31 12:11:25 EDT
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 4 Gian Paolo Mureddu 2007-06-02 21:46:32 EDT
Created attachment 156010 [details]
Origal X configuration file, the one the problem first showed with
Comment 5 Gian Paolo Mureddu 2007-06-02 21:47:25 EDT
Created attachment 156011 [details]
Original X log, the computer wasn't run through suspend/resume
Comment 6 Gian Paolo Mureddu 2007-06-02 21:47:50 EDT
Created attachment 156012 [details]
Xorg setup log
Comment 7 Gian Paolo Mureddu 2007-06-02 21:48:31 EDT
Created attachment 156013 [details]
generated Xorg configuration file
Comment 8 Gian Paolo Mureddu 2007-06-02 21:49:01 EDT
Created attachment 156014 [details]
X log before going through suspend/resume
Comment 9 Gian Paolo Mureddu 2007-06-02 21:49:36 EDT
Created attachment 156015 [details]
X log after suspend/resume cycle (with the problem on screen)
Comment 10 Gian Paolo Mureddu 2007-06-02 21:50:45 EDT
The files you requested are now attached. Pertinent information: The system is
fully updated and the problem still persists.
Comment 11 Matěj Cepl 2007-07-03 09:51:20 EDT
Fedora Core 5 is no longer supported, please, could you reproduce this bug with
the updated version of the currently supported distribution (Fedora Core 6, or
Fedora 7, or Rawhide)? If this issue turns out to still be reproducible, please
let us know in this bug report.  If after a month's time we have not heard back
from you, we will have to close this bug as CANTFIX/INSUFFICIENT_DATA.

Setting status to NEEDINFO, and awaiting information from the reporter.

Thanks in advance.
Comment 12 Gian Paolo Mureddu 2007-07-17 00:21:02 EDT
I have tested FC6-Live and it still did it with the shipped driver/X11 version,
will try F7 live and report back. I'm in the process of updating that machine to
F7 too, though, so I hope I'll have more accurate results when I actually
install F7 into it and then apply the necessary updates and then run some tests.
Comment 13 Gian Paolo Mureddu 2007-07-22 00:53:36 EDT
Well just tested with Fedora 7 fully updated. First off, resume resulted into a
kernel panic (caps and block lights blinking on the keyboard) with the updated
2.6.22 kernel. Then I tried the "boxed" kernel (2.6.21-1.3194) which also
crashed. until the second boot the resume process was able to complete and there
is *still* artifacts on the screen.


Smolt UUID: a0d8d1cc-83f1-455b-b00f-26f0d3a55310 (can some one explain to me how
to view a UUID in smolt?? Seems to be quite obscure a process).
Comment 14 Bug Zapper 2008-05-14 08:02:14 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 15 Bug Zapper 2008-06-16 21:13:00 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.